ModernLoop Internal API
Apipylon

Redact a message on a Pylon issue (POST /issues/{id}/messages/{message_id}/redact)

Write operation: mutates state in the upstream service.

curl -X POST "https://api.modernloop.dev/rest/v1/pylon/issues/string/messages/string/redact" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "data": {    "id": "string",    "message_html": "string",    "source": "string",    "is_private": true,    "thread_id": "string",    "timestamp": "string",    "file_urls": [      "string"    ],    "author": {      "name": "string",      "avatar_url": "string",      "user": {        "id": "string",        "email": "string"      },      "contact": {        "id": "string",        "email": "string"      }    },    "email_info": {      "from_email": "string",      "to_emails": [        "string"      ],      "cc_emails": [        "string"      ],      "bcc_emails": [        "string"      ]    }  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Issue UUID or issue number

message_id*string

Message UUID

Response Body

application/json

application/json

application/json

application/json

application/json